{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.tractor.tractor_smoke": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"smoking": "query.mark_variant == 0 && query.variant == 0"
						}
					]
				},
				"smoking": {
					"particle_effects": [
						{
							"effect":  "tractor_smoke_1"
						},
						{
							"effect":  "tractor_smoke_2"
						}
					],
					"transitions": [
						{
							"default": "query.mark_variant == 1 || query.variant != 0"
						}
					]
				}
			}
		}
		
	}
}